XARGS(1)

NÉV
xargs - beolvas és végrehajt egy parancssort a szabványos bemenetről

ÁTTEKINTÉS
xargs [-0prtx] [-e[eof-str]] [-i[replace-str]] [-l[max-lines]] [-n max-args] [-s max-chars] [-P max-procs] [--null] [--eof[=eof-str]] [--replace[=replace-str]] [--max-lines[=max-lines]] [--interactive] [--max-chars=max-chars] [--verbose] [--exit] [--max-procs=max-procs] [--max-args=max-args] [--no-run-if-empty] [--version] [--help] [command [initial-argumentumok]]

LEIRÁS
Ez az oldal a xargs GNU verzióját taglalja. A xargs helyközökkel (esetleg aposztróffal, idézőjellel, vagy backslash jellel együtt) vagy újsor karakterekkel elválasztott argumentumokat olvas a szabványos bemenetről, és végrehajtja a parancsot (az alapértelmezés /bin/echo) ahányszor valamilyen argumentumokkal követett initial-argumentumot olvas a szabványos bemenetről. A szabványos bemenetről érkező üres sorokat nem veszi figyelembe.

xargs a következő értékekkel térhet vissza:
0 ha sikeres volt a művelet
123 ha bármelyik parancs 1-125-ig terjedő értékkel tért vissza
124 ha a parancs 255-ös értékkel tért vissza
125 ha a parancsot megölték egy jellel
126 ha a parancs nem tud futni
127 ha nem találja a parancsot
1 ha valamilyen más hiba történt.

OPCIÓK

--null, -0
    A beolvasott fájlok null-karakterre végződnek whitespace helyett és az idézőjelek és backspace-ek nem jelentenek semmi különöset (minden karaktert egyformán figyelembe vesz). Letiltja a fájlvége karakterláncot, amit bármelyik más argumentumhoz hasonlóan kezel. Hasznos, ha az argumentumok whitespace-t, idézőjelet vagy backslash-eket tartalmazhatnak. A GNU find -print0 opciója ennek a módnak megfelelő inputot produkál.

--eof[=eof-str], -e[eof-str]
    A fájlvége karakterláncot eof-str-re állitja. Ha a fájlvége karakterlánc egy beolvasott sorban lép fel, az utána következő adatokat figyelmen kivül hagyja. Ha az eof-str-t elhagyjuk, nincs fájlvége karakterlánc. Ha ezt az opciót nem állitjuk be, a fájlvége karakterlánc automatikusan "_"-ra lesz beállitva.

--help
    Kiír egy ismertetőt a xargs opciókról és kilép.

--replace[=replace-str], -i[replace-str]
    Az initial-argumentumokban előforduló replace-str-eket helyettesiti a szabványos bemenetről beolvasott nevekkel. Idézőjel nélküli helyközök nem szüntetik meg az argumentumokat. Ha a replace-str-t elhagyjuk, alapértelmezésben "{}"-ra lesz beállitva (a `find -exec'-hez hasonlóan). Magában foglalja az -x és az -l 1 kapcsolók hatását.

--max-lines[=max-lines], -l[max-lines]
    Legfeljebb max-lines-nyi nem üres sort olvas be parancssoronként; ha elhagyjuk, az alapértelmezés 1. Helyközök után létrehoz egy input-sort, hogy logikailag a következő input-sornál folytatódjon a beolvasás. Az -x-et magában foglalja.

--max-args=max-args, -n max-args
    Parancssoronként legfeljebb max-args-nyi argumentumot vesz figyelembe. max-args-nál kevesebb argumentumot, ha a méretet (ld. -s opció) túllépi, amig meg nem adjuk az -x opciót, amikor is xargs kilép.

--interactive, -p
    Bekéri a felhasználótól, hogy végrehajtsa-e mindegyik parancssort és a terminálról olvasson sort. Csak futtatja a parancssort, ha a válasz 'y'-nal vagy 'Y'-nal kezdődik. A -t-t magában foglalja.

--no-run-if-empty, -r
    Ha a szabványos bemenet nem tartalmaz semmit, nem futtatja a parancsot. Normális esetben a parancs lefut ahányszor nincs input.

--max-chars=max-chars, -s max-chars
    Legfeljebb max-chars-nyi karaktert vesz figyelembe parancssoronként, belértve a parancsot, az initial-argumentumokat, és az argumentum-karakterláncokat lezáró nullákat. Az alapértelmezés olyan sok, amilyen csak lehet, egészen 20K-nyi karakterig.

--verbose, -t
    Kiírja a parancssort a szabványos hibakimenetre, mielőtt végrehajtaná.

--version
    Kiírja a xargs verziószámát és kilép.

--exit, -x
    Kilép, ha a méretet (ld. -s opció) tullépi.

--max-procs=max-procs, -P max-procs
    Egyidőben legfeljebb max-procs-nyi process-t futtat, az alapértelmezes 1. Ha a max-procs 0, xargs annyi process-t próbál meg egyszerre futtatni, amennyit csak lehetséges. Az -n és -P opciók együtt szükségesek ahhoz, hogy ne a véletlenen múljon, hogy csak egyet hajt végre.

LÁSD MÉG
find(1), locate(1), locatedb(5), updatedb(1) Finding Files (on-line az Info-n, vagy kinyomtatva)

MAGYAR FORDÍTÁS
Kalmár Boldizsár <lskorpio@augusta.inf.elte.hu>